Index: kdelibs4/Portfile
===================================================================
--- kdelibs4/Portfile	(revision 71550)
+++ kdelibs4/Portfile	(working copy)
@@ -2,11 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdelibs4
-version             4.4.5
-revision            2
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         KDE4 core libraries
@@ -16,8 +15,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdelibs-${version}
-checksums           sha1    73e37abee48536b85782d1a17f1b282313b16c4d \
-                    rmd160  533a627116524d5365ba45f5eb17c972426f59c1
+checksums           sha1    e5b3c643aa10275571be6a637333e8791ed013b6 \
+                    rmd160  9d8830a0f9b9062ead1d18918da0ce25d24f5cbe
 
 depends_build-append port:flex port:gmake
 
@@ -35,7 +34,9 @@
                     port:openssl port:enchant \
                     port:aspell port:aspell-dict-en \
                     port:attica port:liblzma \
-                    port:avahi \
+                    port:avahi port:phonon \
+                    port:dbusmenu-qt port:docbook-xml \
+                    port:docbook-xsl \
                     port:shared-desktop-ontologies
 
 conflicts           kdelibs3
@@ -50,13 +51,13 @@
 patch.pre_args      -p1
 
 
-configure.args-append   ../${distname} \
-                        -DWITH_ENCHANT=ON \
+configure.args-append   -DWITH_ENCHANT=ON \
                         -DWITH_Soprano=ON \
                         -DWITH_Avahi=ON \
                         -DKDE_DEFAULT_HOME=Library/Preferences/KDE \
                         -DWITH_HSPELL:BOOL=OFF \
-                        -DPHONON_INCLUDE_DIR=${prefix}/libexec/qt4-mac/lib/phonon.framework/ \
+                        -DDOCBOOKXSL_DIR=${prefix}/share/xml/ \
+                        ${qt_cmake_defines} \
                         -DLIBXSLT_INCLUDE_DIR=${prefix}/include/ \
                         -DLIBXSLT_LIBRARIES=${prefix}/lib/libxslt.dylib \
                         -DLIBEXSLT_LIBRARIES=${prefix}/lib/libexslt.dylib \
Index: kdebase4-runtime/Portfile
===================================================================
--- kdebase4-runtime/Portfile	(revision 69338)
+++ kdebase4-runtime/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdebase4-runtime
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         Shared data needed by KDE4 programs
@@ -16,20 +16,22 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdebase-runtime-${version}
-checksums           sha1    93c58fbef37cdf0c9c6b37c773f8cde054fae51f \
-                    rmd160  4cc49e993e05adf4dfb4c5d4acdf992b5efbc114
+checksums           sha1    6fca681da218e910caff538c1520e44ec8430c9d \
+                    rmd160  f723ca34504604b46bd9d6083f827f666c3c32f5
 
 depends_lib-append  port:kdelibs4 \
                     port:qimageblitz \
                     port:oxygen-icons \
                     port:hicolor-icon-theme \
+                    port:openslp \
+                    port:exiv2 \
                     port:bison
 
-configure.args-append   ../${distname} \
-                        -DWITH_PulseAudio=OFF \
+configure.args-append   -DWITH_PulseAudio=OFF \
                         -DXINE_INCLUDE_DIR=\"\" \
                         -DXINE_LIBRARY=\"\" \
-                        -DKDE4_DISABLE_MULTIMEDIA=ON
+                        -DWITH_ALSA=OFF \
+                        -DKDEBASE_DISABLE_MULTIMEDIA=ON
 
 variant xine description "Enable xine support" {
 # Unsupported. Don't report bugs, unless it comes with a patch :-)
Index: kdegames4/Portfile
===================================================================
--- kdegames4/Portfile	(revision 69338)
+++ kdegames4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdegames4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         A variety of games made with the KDE4 development platform
@@ -15,14 +15,12 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdegames-${version}
-checksums           sha1    2e0d86c3bf668f4e1fdb2b0da74545f442799700 \
-                    rmd160  c9448c6b4875353a9205407f6419b62a8158758e
+checksums           sha1    57414f18b5a3958d6661f36c48d2727d10ccb31f \
+                    rmd160  cd379cfd0a1d3862edffa52c8d5283af4ce64703
 
 depends_lib-append  port:kdelibs4 port:kdebase4-runtime \
                     port:ggz-client-libs
 
-configure.args-append   ../${distname}
-
 universal_variant   no
 
 livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
Index: kdenetwork4/Portfile
===================================================================
--- kdenetwork4/Portfile	(revision 69715)
+++ kdenetwork4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdenetwork4
-version             4.4.5
+version             4.5.2
 categories          kde kde4 network
 maintainers         snc sharky
 description         KDE4 networking applications
@@ -16,8 +16,8 @@
 master_sites        kde:stable/${version}/src
 use_bzip2           yes
 distname            kdenetwork-${version}
-checksums           sha1    5f321ce932d6b1fadf1935e527bd1848c317be7a \
-                    rmd160  5cf43ba3e1b772a0fe1306f9553d5ad9cfa40a8b
+checksums           sha1    9ae99ef21bb56e254f1cab22338b597e7734e734 \
+                    rmd160  500ef5ce18fee0db62eb62bf6661c506bd597a81
 
 depends_lib-append  port:kdebase4-runtime \
                     port:meanwhile \
@@ -25,11 +25,11 @@
                     path:lib/libspeex.dylib:speex \
                     port:libidn \
                     port:kdepimlibs4 \
+                    port:libtelepathy \
                     port:libotr
 depends_run-append  port:qca-ossl
 
-configure.args-append   ../${distname} \
-                        -DQCA2_LIBRARIES=${prefix}/lib/libqca.2.dylib \
+configure.args-append   -DQCA2_LIBRARIES=${prefix}/lib/libqca.2.dylib \
                         -DQCA2_INCLUDE_DIR=${prefix}/include/QtCrypto
 
 variant no_kopete conflicts libmsn xmms description "Do not install Kopete instant messaging client" {
Index: kdetoys4/Portfile
===================================================================
--- kdetoys4/Portfile	(revision 69338)
+++ kdetoys4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdetoys4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         KDE's fun stuff
@@ -15,13 +15,11 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdetoys-${version}
-checksums           sha1    8e2fd33aece823f61e78e11450ea203a4d60aef5 \
-                    rmd160  450a887d5eb47a846551374269eef0cbb2e244df
+checksums           sha1    1072dd5c01467e8650237a8e0585e8e4ece9df8b \
+                    rmd160  d65c3a95cbe79570fd613542f74f8f5be38727d2
 
 depends_lib-append  port:kdelibs4 port:kdebase4-runtime
 
-configure.args-append	../${distname}
-
 universal_variant   no
 
 livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
Index: kdeedu4/Portfile
===================================================================
--- kdeedu4/Portfile	(revision 69338)
+++ kdeedu4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdeedu4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         Education based applications for the KDE4 platform
@@ -15,8 +15,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdeedu-${version}
-checksums           sha1    7b84fa9dd9e91e117df5dc1af19bcd212cac707a \
-                    rmd160  13c2ad8d67a961ab062bba989f7c86fa5e1cabc5
+checksums           sha1    44f6cbb0029ae23b0aa6e16e0e6125ad07771be4 \
+                    rmd160  25de7ca7b712f29f4c2466a224642c099ebb9fd3
 
 depends_lib-append  port:kdelibs4 port:kdebase4 \
                     port:ocaml port:openbabel \
@@ -40,7 +40,5 @@
 
 universal_variant   no
 
-configure.args-append   ../${distname}
-
 livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
 livecheck.regex     kdeedu-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
Index: kdesdk4/Portfile
===================================================================
--- kdesdk4/Portfile	(revision 69541)
+++ kdesdk4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdesdk4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         Utilities to ease development with the KDE4 platform
@@ -15,12 +15,12 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdesdk-${version}
-checksums           sha1    f1e0bebde061d7eec994820f1c77d697efaca024 \
-                    rmd160  eb4849aef699d6c64b59a475ee269bc6fee06e78
+checksums           sha1    8732dd0460e17bfdcfe6b9be467a90de14143cc1 \
+                    rmd160  c594ea89867ab99f9bacd20e29892ccdefbefac4
 
 depends_lib-append  port:kdelibs4 port:kdebase4-runtime
 
-configure.args-append   ../${distname} -DWITH_Boost:BOOL=OFF
+configure.args-append   -DWITH_Boost:BOOL=OFF
 
 variant boost description {Required to build Umbrello} {
     depends_lib-append  port:boost
Index: kdegraphics4/files/patch-gwenview-lib-document-view-videoviewadapter.cpp.patch
===================================================================
--- kdegraphics4/files/patch-gwenview-lib-document-view-videoviewadapter.cpp.patch	(revision 69338)
+++ kdegraphics4/files/patch-gwenview-lib-document-view-videoviewadapter.cpp.patch	(working copy)
@@ -1,21 +0,0 @@
---- gwenview/lib/documentview/videoviewadapter.cpp.orig	2010-05-21 14:58:29.000000000 -0400
-+++ gwenview/lib/documentview/videoviewadapter.cpp	2010-05-21 14:58:52.000000000 -0400
-@@ -22,12 +22,12 @@
- #include "videoviewadapter.moc"
- 
- // Qt
--#include <Phonon/AudioOutput>
--#include <Phonon/MediaObject>
--#include <Phonon/Path>
--#include <Phonon/SeekSlider>
--#include <Phonon/VideoWidget>
--#include <Phonon/VolumeSlider>
-+#include <phonon/AudioOutput>
-+#include <phonon/MediaObject>
-+#include <phonon/Path>
-+#include <phonon/SeekSlider>
-+#include <phonon/VideoWidget>
-+#include <phonon/VolumeSlider>
- #include <QHBoxLayout>
- #include <QMouseEvent>
- #include <QToolButton>
Index: kdegraphics4/files/patch-okular-core-audioplayer.cpp.patch
===================================================================
--- kdegraphics4/files/patch-okular-core-audioplayer.cpp.patch	(revision 69338)
+++ kdegraphics4/files/patch-okular-core-audioplayer.cpp.patch	(working copy)
@@ -1,11 +0,0 @@
---- okular/core/audioplayer.cpp.orig	2010-05-21 14:59:34.000000000 -0400
-+++ okular/core/audioplayer.cpp	2010-05-21 14:59:43.000000000 -0400
-@@ -15,7 +15,7 @@
- #include <qdir.h>
- #include <kdebug.h>
- #include <krandom.h>
--#include <Phonon/Path>
-+#include <phonon/Path>
- #include <phonon/audiooutput.h>
- #include <phonon/abstractmediastream.h>
- #include <phonon/mediaobject.h>
Index: kdegraphics4/Portfile
===================================================================
--- kdegraphics4/Portfile	(revision 69338)
+++ kdegraphics4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdegraphics4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         KDE4 graphics applications
@@ -15,8 +15,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdegraphics-${version}
-checksums           sha1    9d878e917de53a0b70df7d1d9d9c57f771e4be72 \
-                    rmd160  f574b9b5f89b868ccab250093ef75ab8db7d4833
+checksums           sha1    e819cc1270023ae48669f488d11d24d7d1ca52c6 \
+                    rmd160  a2f425beeccc9bd3374d582ee92008a1f85ed17b
 
 depends_lib-append  port:kdebase4-runtime \
                     port:exiv2 port:poppler \
@@ -24,12 +24,7 @@
                     port:libspectre port:qca \
                     port:sane-backends
 
-patch.dir           ${workpath}/${distname}
-patchfiles          patch-gwenview-lib-document-view-videoviewadapter.cpp.patch \
-                    patch-okular-core-audioplayer.cpp.patch
-
-configure.args-append   ../${distname} \
-                        -DQCA2_LIBRARIES=${prefix}/lib/libqca.2.dylib \
+configure.args-append   -DQCA2_LIBRARIES=${prefix}/lib/libqca.2.dylib \
                         -DQCA2_INCLUDE_DIR=${prefix}/include/QtCrypto \
                         -DGWENVIEW_SEMANTICINFO_BACKEND=None
 
Index: kdebase4/Portfile
===================================================================
--- kdebase4/Portfile	(revision 69338)
+++ kdebase4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdebase4
-version             4.4.5
+version             4.5.2
 categories			kde kde4
 maintainers         snc sharky
 description         KDE4 applications and libraries from the base package
@@ -16,8 +16,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdebase-${version}
-checksums           sha1    c14f6da09f0d1624189c69ccc200c70f2763dcbc \
-                    rmd160  ce9c613beba768e94f9d4fbdc452aeae4fb9a070
+checksums           sha1    fb14022d7f47acc1cebce2da41d821945ec8de5c \
+                    rmd160  ad37ed1e515cbd54db09b2f6bb5896ea3c673c2f
 
 depends_lib-append  port:kdelibs4 \
                     port:qimageblitz \
@@ -25,8 +25,7 @@
                     port:kdebase4-runtime
 
 
-configure.args-append   ../${distname} \
-                        -DWITH_XKB=OFF
+configure.args-append   -DWITH_XKB=OFF
 
 universal_variant   no
 
Index: kdepimlibs4/Portfile
===================================================================
--- kdepimlibs4/Portfile	(revision 69545)
+++ kdepimlibs4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdepimlibs4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         KDE4 core PIM libraries
@@ -15,8 +15,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdepimlibs-${version}
-checksums           sha1    bc4d9a478f80e013ac39710f963ee68961d5f369 \
-                    rmd160  3ba96ac29e151e7bcebe90394535d82345102346
+checksums           sha1    5b611f75165201f49a9f6dfb42b75c5e73db0ff9 \
+                    rmd160  75f45dd6139be85101d5e696ff855f7c95512132
 
 depends_lib-append  port:kdelibs4 \
                     port:akonadi \
@@ -25,8 +25,7 @@
                     port:openldap \
                     port:gpgme
 
-configure.args-append   ../${distname} \
-                    -DLIBICALSS_LIBRARY=${prefix}/lib/libicalss.dylib \
+configure.args-append   -DLIBICALSS_LIBRARY=${prefix}/lib/libicalss.dylib \
                     -DLIBICAL_INCLUDE_DIRS=${prefix}/include/ \
                     -DLIBICAL_LIBRARY=${prefix}/lib/libical.dylib
 
Index: kdeutils4/Portfile
===================================================================
--- kdeutils4/Portfile	(revision 69338)
+++ kdeutils4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdeutils4
-version             4.4.5
+version             4.5.2
 conflicts           kdelibs4-experimental
 categories          kde kde4
 maintainers         snc sharky
@@ -16,8 +16,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdeutils-${version}
-checksums           sha1    c092cfbb46719d89a5718735dc81ca75c0176e45 \
-                    rmd160  d8f9014fcd27548a33d10138135a8789d8fd49d6
+checksums           sha1    87e0124d8895d9dbabfa7b85b65c32d4f07a7408 \
+                    rmd160  c4b2fdff8b5db4e66e6d0b1e3e2d9bc4e63dda11
 
 depends_lib-append  port:kdelibs4 port:kdebase4-runtime \
                     port:libzip port:gmp port:libarchive \
@@ -25,6 +25,8 @@
 
 patch.dir           ${workpath}/${distname}
 
+configure.args-append   -DWITH_SIP=OFF
+
 variant no_qca description {Disable most of the algorithms of the checksum tool in Okteta} {
     depends_lib-delete  port:qca
     patchfiles-append   patch-disable-qca2.diff
@@ -42,7 +44,5 @@
 
 universal_variant   no
 
-configure.args-append	../${distname}
-
 livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
 livecheck.regex     kdeutils-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
Index: oxygen-icons/Portfile
===================================================================
--- oxygen-icons/Portfile	(revision 72635)
+++ oxygen-icons/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                oxygen-icons
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         Oxygen icon theme
@@ -14,10 +14,8 @@
 homepage            http://www.kde.org
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
-checksums           sha1    aac74fa4c1b54b7a95ce2e6538e30f958dcb1c20 \
-                    rmd160  4407ddfb83a1f473cdd8fec198b2a441372f0e30
+checksums           sha1    17cca8a69fda5f0e1cb709824ccf83baae3648a0 \
+                    rmd160  9700fa24adbb68548e873ce10c95cc5fd66d139b
 
-configure.args-append   ../${distname}
-
 livecheck.url       http://mirrors.ibiblio.org/pub/mirrors/kde/stable/latest/src/
 livecheck.regex     ${name}-(\\d+\\.\\d+\\.\\d+)${extract.suffix}
Index: kdepim4/Portfile
===================================================================
--- kdepim4/Portfile	(revision 72740)
+++ kdepim4/Portfile	(working copy)
@@ -2,10 +2,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdepim4
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky intevation.de:bjoern.ricks
 description         KDE4 groupware suite
Index: kdemultimedia4/Portfile
===================================================================
--- kdemultimedia4/Portfile	(revision 69338)
+++ kdemultimedia4/Portfile	(working copy)
@@ -2,11 +2,11 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           kde4   1.0
+PortGroup           kde4   1.1
 
 name                kdemultimedia4
 conflicts           kdelibs4-experimental
-version             4.4.5
+version             4.5.2
 categories          kde kde4
 maintainers         snc sharky
 description         KDE4 multimedia applications
@@ -16,8 +16,8 @@
 master_sites        kde:stable/${version}/src/
 use_bzip2           yes
 distname            kdemultimedia-${version}
-checksums           sha1    5d0e87d317fc8c4424a3b0cefe2f2f18c53f7038 \
-                    rmd160  d142b5b4a931138cc0ad301c4bce9267d239351e
+checksums           sha1    457701505639cac9b5f3f1781a483a6ac35c7eba \
+                    rmd160  aee9ad1afd2b71489d63e2351afc344479b12687
 
 depends_lib-append  port:kdebase4-runtime \
                     port:cdparanoia \
@@ -25,8 +25,7 @@
                     port:libvorbis \
                     port:taglib
 
-configure.args-append   ../${distname} \
-                        -DBUILD_dragonplayer=ON \
+configure.args-append   -DBUILD_dragonplayer=ON \
                         -DBUILD_juk=ON \
                         -DBUILD_kmix=OFF \
                         -DWITH_Taglib=ON \