Index: files/patch-configure.diff
===================================================================
--- files/patch-configure.diff	(revision 0)
+++ files/patch-configure.diff	(revision 0)
@@ -0,0 +1,11 @@
+--- ../configure.orig	2010-09-08 09:06:52.000000000 -0700
++++ ../configure	2010-09-08 11:17:45.000000000 -0700
+@@ -34965,7 +34965,7 @@
+       *-*-darwin* )
+         install_name_tool=`which ${HOST_PREFIX}install_name_tool`
+         if test "$install_name_tool" -a -x "$install_name_tool"; then
+-            DYLIB_RPATH_POSTLINK="${HOST_PREFIX}install_name_tool -id \$@ \$@"
++            DYLIB_RPATH_POSTLINK="${HOST_PREFIX}install_name_tool -id ${libdir}/\$(notdir \$@) \$@"
+             cat <<EOF >change-install-names
+ #!/bin/sh
+ libnames=\`cd \${1} ; ls -1 | grep '\.[0-9][0-9]*\.dylib\$'\`
Index: Portfile
===================================================================
--- Portfile	(revision 71119)
+++ Portfile	(working copy)
@@ -1,73 +1,72 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; truncate-lines: t; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem          1.0
 
-name			wxWidgets-devel
-version			2.9.0
-revision        2
-categories		graphics devel
-platforms		darwin
-maintainers		jwa mww
-description		mature cross-platform C++ GUI framework
-long_description	wxWidgets is a mature open-source cross-platform C++ \
-    GUI framework for Mac OS, Unix, Linux, Windows. It can \
-    make use of a variety of native widget sets as well as \
-    its own widget set: Mac OS, GTK+, Motif, WIN32. \
-    wxWidgets will even run on embedded systems using \
-    Linux and X11.
+name                wxWidgets-devel
+version             2.9.1
+categories          graphics devel
+platforms           darwin
+maintainers         jwa mww
+description         mature cross-platform C++ GUI framework
+long_description    wxWidgets is a mature open-source cross-platform C++ \
+                    GUI framework for Mac OS, Unix, Linux, Windows. It can \
+                    make use of a variety of native widget sets as well as \
+                    its own widget set: Mac OS, GTK+, Motif, WIN32. \
+                    wxWidgets will even run on embedded systems using \
+                    Linux and X11.
 
-homepage		http://www.wxwidgets.org/
-distname		wxWidgets
-master_sites		http://biolpc22.york.ac.uk/pub/CVS_HEAD/v2/files/ \
-    http://biolpc22.york.ac.uk/pub/${version}/ \
-    ftp://ftp.wxwidgets.org/pub/${version}
-use_bzip2		yes
+homepage            http://www.wxwidgets.org/
+distname            wxWidgets
+master_sites        sourceforge:wxwindows
 
-distfiles		${distname}-${version}${extract.suffix}
-dist_subdir		${distname}/${version}
+use_bzip2           yes
+distfiles           ${distname}-${version}${extract.suffix}
 
-checksums		${distname}-${version}${extract.suffix} \
-    md5     09058928eeb72853142c062bdec056ce \
-    ${distname}-${version}${extract.suffix} \
-    sha1    0e14fa85637d07a93a22d4d6a01871cc0e9e31b7 \
-    ${distname}-${version}${extract.suffix} \
-    rmd160  72d91bfa5fdd2ffafcce50d4440d8fba37ab8872
+checksums           sha1    3ffe0614acce46448f5c14942176fb2daa6efd00 \
+                    rmd160  106f5b0238e31e12bbede7f1c2cf0e0134076e29
 
-depends_lib		port:jpeg \
-    port:tiff \
-    port:libpng \
-    port:zlib \
-    port:libiconv \
-    port:expat \
-    path:lib/pkgconfig/sdl.pc:libsdl \
-    port:libsdl_mixer
+depends_lib         port:jpeg \
+                    port:tiff \
+                    port:libpng \
+                    port:zlib \
+                    port:libiconv \
+                    port:expat \
+                    path:lib/pkgconfig/sdl.pc:libsdl \
+                    port:libsdl_mixer
 
-#set worksrcdir	build
-set worksrcdir		${distname}-${version}/build
+set worksrcdir      ${distname}-${version}/osx-build
 
-extract.only		${distname}-${version}${extract.suffix}
+extract.only        ${distname}-${version}${extract.suffix}
 
-set sub			wx-devel
-configure.cmd		../configure
-configure.ldflags	-L${build.dir}/lib -L${prefix}/lib
-configure.args		--mandir=${prefix}/share/man \
-    --libdir=${prefix}/lib/${sub} \
-    --bindir=${prefix}/lib/${sub}/bin \
-    --includedir=${prefix}/include/${sub} \
-    --datadir=${prefix}/share/${sub} \
-    --with-libiconv-prefix=${prefix} \
-    --with-libjpeg \
-    --with-libtiff \
-    --with-libpng \
-    --with-zlib \
-    --with-sdl \
-    --with-opengl \
-    --with-mac \
-    --disable-sdltest \
-    --enable-unicode \
-    --enable-display \
-    --enable-monolithic \
-    --with-macosx-version-min=${macosx_deployment_target}
+post-extract {
+    xinstall -d -m 755 ${worksrcpath}
+}
+
+patchfiles          patch-configure.diff
+
+set sub             wx-devel
+configure.cmd       ../configure
+configure.ldflags   -L${build.dir}/lib -L${prefix}/lib
+configure.args      --mandir=${prefix}/share/man \
+                    --libdir=${prefix}/lib/${sub} \
+                    --bindir=${prefix}/lib/${sub}/bin \
+                    --includedir=${prefix}/include/${sub} \
+                    --datadir=${prefix}/share/${sub} \
+                    --with-libiconv-prefix=${prefix} \
+                    --with-libjpeg \
+                    --with-libtiff \
+                    --with-libpng \
+                    --with-zlib \
+                    --with-sdl \
+                    --with-opengl \
+                    --with-mac \
+                    --disable-sdltest \
+                    --enable-unicode \
+                    --enable-display \
+                    --enable-monolithic \
+                    --with-macosx-version-min=${macosx_deployment_target}
+
 if {$build_arch == "x86_64" || $build_arch == "ppc64"} {
     # default carbon won't work on 64-bit
     configure.args-delete --with-mac
@@ -75,44 +74,14 @@
     patchfiles-append     patch-textctrl.diff
 }
 
-set installtype		release
-#set contrib		"gizmos stc ogl"
-
-build.target
-
-#post-build {
-#    foreach c { ${contrib} } {
-#	system "cd ${build.dir} && make -C contrib/src/${c}"
-#    }
-#}
-
-post-destroot {
-#    foreach c { ${contrib} } {
-#	system "cd ${destroot.dir} && make -C contrib/src/${c} install ${destroot.destdir}"
-#    }
-    xinstall -d -m 755 ${destroot}${prefix}/share/doc/${name}
-#    xinstall -m 644 -W ${workpath}/${distname}-${version} \
-#	install-mac.txt install-mgl.txt install-motif.txt \
-#	INSTALL-OS2.txt install-x11.txt readme-cocoa.txt \
-#	readme-gtk.txt readme-mac.txt \
-#	readme-mgl.txt readme-motif.txt readme-x11.txt \
-#	${destroot}${prefix}/share/doc/${name}
-    if {$build_arch == "x86_64" || $build_arch == "ppc64"} {
-        reinplace "s|-L${build.dir}/lib||" ${destroot}${prefix}/lib/${sub}/wx/config/osx_cocoa-unicode-${installtype}-2.9
-    } else {
-        reinplace "s|-L${build.dir}/lib||" ${destroot}${prefix}/lib/${sub}/wx/config/osx_carbon-unicode-${installtype}-2.9
-    }
-}
-
 variant nonmonolithic description {build libraries separately} {
     configure.args-delete	--enable-monolithic
 }
 
 variant debug description {add debug info to libraries} {
     configure.args-append	--enable-debug
-    set installtype debug
 }
 
-livecheck.type		regex
-livecheck.url		http://biolpc22.york.ac.uk/pub/
-livecheck.regex		(2.\[0-9\]+.\[0-9\]+-rc\[0-9\])/
+livecheck.type      regex
+livecheck.url       http://sourceforge.net/projects/wxwindows/files/
+livecheck.regex     ${distname}-(\[0-9\]+\.\[0-9\]+\.\[0-9\]+)${extract.suffix}