Index: files/patch-writable-dirs.diff
===================================================================
--- files/patch-writable-dirs.diff	(revision 71872)
+++ files/patch-writable-dirs.diff	(working copy)
@@ -1,76 +0,0 @@
-Index: Source/SpotlightFS.m
-===================================================================
---- Source/SpotlightFS.m	(.../tags/macfuse-0.4.0/filesystems-objc/SpotlightFS)	(revision 445)
-+++ Source/SpotlightFS.m	(.../trunk/filesystems-objc/SpotlightFS)	(revision 445)
-@@ -129,6 +129,25 @@
-   return userCreatedFolders;
- }
- 
-+// -isUserCreatedFolder:
-+//
-+// Returns YES if the specified folder is a user created folder. Also try
-+// prepending a leading slash to the user created folders, incase |path| starts
-+// with a slash.
-+//
-+- (BOOL)isUserCreatedFolder:(NSString *)path {
-+  NSArray *folders = [self userCreatedFolders];
-+  NSString *folder = nil;
-+  NSEnumerator *folderEnumerator = [folders objectEnumerator];
-+  while ((folder = [folderEnumerator nextObject])) {
-+    if ([folder isEqualToString:path])
-+      return YES;
-+    if ([[@"/" stringByAppendingPathComponent:folder] isEqualToString:path])
-+      return YES;
-+  }
-+  return NO;
-+}
-+
- // -setUserCreatedFolders:
- //
- // Sets the folder names to use for the top-level user-created folders.
-@@ -341,20 +360,27 @@
-   return NO;
- }
- 
-+// By default, directories are not writeable, with the notable exceptions below:
-+// - Slash is writable
-+// - User created directories in slash are writable
- - (NSDictionary *)fileAttributesAtPath:(NSString *)path {
-   if (!path)
-     return nil;
-   
-   NSMutableDictionary *attr = nil;
-+  int mode = 0500;
-   
-   NSString *pathdir = [path stringByDeletingLastPathComponent];
-   NSString *smarter = [@"/" stringByAppendingString:kSmarterFolder];
-   
--  if ([pathdir isEqualToString:@"/"]
--      || [pathdir isEqualToString:smarter]) {
-+  if ([pathdir isEqualToString:@"/"] || [pathdir isEqualToString:smarter]) {
-     
-+    if ([path isEqualToString:@"/"] || [self isUserCreatedFolder:path]) {
-+      mode = 0700;
-+    }
-+    
-     attr = [NSDictionary dictionaryWithObjectsAndKeys:
--      [NSNumber numberWithInt:0500], NSFilePosixPermissions,
-+      [NSNumber numberWithInt:mode], NSFilePosixPermissions,
-       [NSNumber numberWithInt:geteuid()], NSFileOwnerAccountID,
-       [NSNumber numberWithInt:getegid()], NSFileGroupOwnerAccountID,
-       [NSDate date], NSFileCreationDate,
-Index: Source/SpotlightFS.h
-===================================================================
---- Source/SpotlightFS.h	(.../tags/macfuse-0.4.0/filesystems-objc/SpotlightFS)	(revision 445)
-+++ Source/SpotlightFS.h	(.../trunk/filesystems-objc/SpotlightFS)	(revision 445)
-@@ -45,6 +45,10 @@
- //
- - (NSArray *)userCreatedFolders;
- 
-+// Returns YES if |path| is a user created folder.
-+//
-+- (BOOL)isUserCreatedFolder:(NSString *)path;
-+
- // Sets the full user-created folders array.
- //
- - (void)setUserCreatedFolders:(NSArray *)folders;
Index: Portfile
===================================================================
--- Portfile	(revision 71872)
+++ Portfile	(working copy)
@@ -4,8 +4,9 @@
 PortGroup xcode 1.0
 
 name                spotlightfs
-version             0.1.0
-revision            2
+version             2.0.3,2
+set svn_tag         [string map {, \\|} ${version}]
+revision            0
 categories          fuse
 platforms           macosx
 maintainers         nomaintainer
@@ -19,22 +20,11 @@
 
 homepage            http://code.google.com/p/macfuse/
 
-master_sites        macports macports:FUSEObjC:objc
-distfiles           SpotlightFS-${version}.tar.bz2 FUSEObjC-0.4.0.tar.bz2:objc
-worksrcdir          SpotlightFS
-checksums           SpotlightFS-${version}.tar.bz2 md5 102e6196d635ee87521e8b586844a77c \
-                                                   sha1 e10322f6ea526b878d0b8ac21c51e1246f645959 \
-                    FUSEObjC-0.4.0.tar.bz2 md5 9ac70a7faf748e04e4e0bf0c8856b7c5 \
-                                           sha1 99752396411e3b44728436d15d6cb76bd1966e1f
+fetch.type          svn
 
-# this patch needs to be removed next time there's a SpotlightFS release
-patchfiles          patch-writable-dirs.diff
+svn.url             http://macfuse.googlecode.com/svn/tags/macfuse-${svn_tag}/filesystems-objc
+worksrcdir          filesystems-objc/SpotlightFS/
 
-use_bzip2           yes
-
-livecheck.distname  SpotlightFS-(.*).dmg
-
-
 depends_lib         port:macfuse
 
 xcode.target            SpotlightFS