Index: Portfile
===================================================================
--- Portfile	(revision 72417)
+++ Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem 1.0
 name            erlang
-version         R14A
+version         R14B
 categories      lang erlang
 maintainers     bfulgham
 platforms       darwin
@@ -28,6 +28,7 @@
 master_sites    http://www.erlang.org/download/ \
                 http://www.erlang.org/download/patches/:patches
 
+
 # Parallel build doesn't work as per R13B01
 use_parallel_build  no
 
@@ -37,31 +38,31 @@
                 otp_doc_man_${version}${extract.suffix}                \
                 otp_doc_html_${version}${extract.suffix}
 
-checksums       otp_src_${version}.tar.gz \
-                    md5     a24873bbace9ab3c307f3d2492d9e134 \
-                    sha1    286bad025985f5c6b9761cf05c0b6b68f7cb1874 \
-                    rmd160  9b2ad4e2d0c007a4776ea8e5cc8d344107e51dd5 \
-                otp_doc_man_${version}.tar.gz \
-                    md5     b57a7846818ad144b1b6ecc0a54de2ae \
-                    sha1    320c95a73fe4ec8e42d2ea29de5562a1be8c1c50 \
-                    rmd160  699afefd28ffa12938dcdde6f98aa23290adf7b3 \
-                otp_doc_html_${version}.tar.gz \
-                    md5     fbb325f10b2d0a9439f2ce2c3e7e1c11 \
-                    sha1    478a80fb4ed9747efbdb2925ff46ee2809ba5340 \
-                    rmd160  b59262b97dd5d42c660413c18f396230d424e644
+checksums           otp_src_R14B.tar.gz \
+                    md5     5292a04556d17ad528d570e02357dfbb \
+                    sha1    811c17346415159644f16387f1267004a632c452 \
+                    rmd160  69578a2019fcaab4e7c11f2d1d2d5eef21d5c5fa \
+                    otp_doc_man_R14B.tar.gz \
+                    md5     011530a24fbcc194be9bd01f779325a2 \
+                    sha1    92f9ae963cfa40c1d49b3e928c225cb8362b53c3 \
+                    rmd160  4c11c653e231edbab0f3f8a7b7fdc275911ed845 \
+                    otp_doc_html_R14B.tar.gz \
+                    md5     2294757773a0cf4c036f602fbb9fc4fb \
+                    sha1    d752b4bdc89d64bffde41e64b118eb7c0a8f7c72 \
+                    rmd160  a7a100971543cc238dfeaf010028dea7261673f5
 
 pre-patch       { file rename ${workpath}/otp_src_${version} ${workpath}/${name}-${version} }
 
 # http://www.erlang.org/pipermail/erlang-bugs/2009-January/001171.html
-patchfiles	patch-toolbar.erl \
-                patch-erts_emulator_Makefile.in \
-                patch-erts_emulator_hipe_hipe_amd64_asm.m4.diff \
-                patch-erts_emulator_hipe_hipe_amd64.c.diff \
-                patch-erts_emulator_sys_unix_sys_float.c.diff \
-                patch-erts_configure.diff \
-		        patch-lib_ssl_c_src_esock_openssl.c \
-                patch-lib_wx_configure.in \
-                patch-lib_wx_configure
+patchfiles	#patch-toolbar.erl \
+#                patch-erts_emulator_Makefile.in \
+#                patch-erts_emulator_hipe_hipe_amd64_asm.m4.diff \
+#                patch-erts_emulator_hipe_hipe_amd64.c.diff \
+#                patch-erts_emulator_sys_unix_sys_float.c.diff \
+#                patch-erts_configure.diff \
+#		        patch-lib_ssl_c_src_esock_openssl.c \
+#                patch-lib_wx_configure.in \
+#                patch-lib_wx_configure
 
 configure.args  --prefix=${prefix}	            \
                 --enable-kernel-poll            \
@@ -78,7 +79,7 @@
 	system "tar -C ${destroot}${prefix}/lib/erlang -zxvf ${distpath}/otp_doc_html_${version}${extract.suffix}"
 	system "tar -C ${destroot}${prefix}/lib/erlang -zxvf ${distpath}/otp_doc_man_${version}${extract.suffix}"
  
-        set erts_dir   erts-5.8
+        set erts_dir   erts-5.8.1
 
         reinplace s|${destroot}|| ${destroot}${prefix}/lib/erlang/bin/erl
         reinplace s|${destroot}|| ${destroot}${prefix}/lib/erlang/bin/start
@@ -97,12 +98,12 @@
     # current doesn't compile (bug #20235), we can avoid it here.
     depends_build-delete    port:wxWidgets
 
-    patchfiles-delete	patch-lib_ssl_c_src_esock_openssl.c
+#    patchfiles-delete	patch-lib_ssl_c_src_esock_openssl.c
     
     # 10.6 (and 10.6.1) has a bad bug related to using dlopen in a thread.
     # rdar://7209349 - http://www.openradar.appspot.com/7209349
     # This is a workaround.
-    patchfiles-append   patch-erts_emulator_sys_unix_ddll.c.diff
+#    patchfiles-append   patch-erts_emulator_sys_unix_ddll.c.diff
     configure.ldflags-append -framework CoreFoundation
 }
 