Index: files/patch-build.xml.diff
===================================================================
--- files/patch-build.xml.diff	(revision 72987)
+++ files/patch-build.xml.diff	(working copy)
@@ -1,15 +1,15 @@
---- build.xml.orig	2009-06-12 21:55:56.000000000 +0200
-+++ build.xml	2009-06-12 22:15:35.000000000 +0200
-@@ -18,7 +18,7 @@
+--- build.xml.orig	2010-04-08 13:07:12.000000000 -0500
++++ build.xml	2010-10-31 14:04:08.000000000 -0500
+@@ -19,7 +19,7 @@
+ 	<property name="srcjar" value="junit-${version}-src.jar" />
  	<property name="javadocdir" location="${dist}/javadoc" />
  	<property name="javadoczip" location="${dist}-javadoc.zip" />
- 	<property name="javadocpackages" value="org.junit, org.junit.runner, org.junit.runner.description, org.junit.runner.manipulation, org.junit.runner.notification, org.junit.runners, org.hamcrest.core, org.junit.matchers" />
 -	<property name="hamcrestlib" location="lib/hamcrest-core-1.1.jar" />
 +	<property name="hamcrestlib" value="${prefix}/share/java/hamcrest-core.jar;${prefix}/share/java/hamcrest-library.jar" />
  	<property name="hamcrestsrc" location="${dist}/temp.hamcrest.source" />
  	
  	<target name="init">
-@@ -72,8 +72,6 @@
+@@ -73,8 +73,6 @@
  	
  	<target name="build" depends="versiontag">
  		<junit_compilation srcdir="${src}" destdir="${bin}" classpath="${hamcrestlib}"/>
@@ -17,24 +17,27 @@
 -		<junit_compilation srcdir="${testsrc}" destdir="${testbin}" classpath="${hamcrestlib};${bin}"/>
  	</target>
  
- 	<target name="jars">
-@@ -106,17 +104,16 @@
- 		<unjar src="${hamcrestlib}" dest="${hamcrestsrc}" />
+ 	<target name="jars" depends="build">
+@@ -115,20 +113,19 @@
+ 		</exec>
  	</target>
  	
 -	<target name="javadoc" depends="unjar.hamcrest">
 +	<target name="javadoc">
- 		<javadoc packagenames="${javadocpackages}"
- 		         destdir="${javadocdir}"
+ 		<javadoc destdir="${javadocdir}"
  		         author="false"
  		         version="false"
  		         use="false"
  		         windowtitle="JUnit API"
 -		         stylesheetfile="stylesheet.css"
-+			 classpath="${hamcrestlib}"
++		         classpath="${hamcrestlib}"
  		>
+ 			<excludepackage name="junit.*" />
+ 			<excludepackage name="org.junit.internal.*" />
+ 			<excludepackage name="org.junit.experimental.theories.internal.*" />
+ 			
  			<sourcepath location="${src}" />
 -			<sourcepath location="${hamcrestsrc}" />
+ 			<link href="http://java.sun.com/javase/6/docs/api/" />
  		</javadoc>
  	</target>
- 
Index: files/patch-src-main-java-org-junit-matchers-package-info.java.diff
===================================================================
--- files/patch-src-main-java-org-junit-matchers-package-info.java.diff	(revision 72987)
+++ files/patch-src-main-java-org-junit-matchers-package-info.java.diff	(working copy)
@@ -1,10 +0,0 @@
---- src/main/java/org/junit/matchers/package-info.java.orig	2009-06-12 22:13:05.000000000 +0200
-+++ src/main/java/org/junit/matchers/package-info.java	2009-06-12 22:13:18.000000000 +0200
-@@ -4,6 +4,6 @@
-  * statement
-  *
-  * @since 4.0
-- * @see JUnitMatchers
-+ * @see org.junit.matchers.JUnitMatchers
-  */
- package org.junit.matchers;
Index: Portfile
===================================================================
--- Portfile	(revision 72987)
+++ Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortSystem      1.0
 
 name            junit
-version         4.6
-revision        2
+version         4.8.2
 categories      java devel
 platforms       darwin
 maintainers     nomaintainer
@@ -19,16 +18,14 @@
     testing frameworks.
 
 homepage        http://www.junit.org/
-master_sites    sourceforge
+master_sites    http://github.com/KentBeck/junit/downloads
 distname        ${name}${version}
 use_zip         yes
 
-checksums       md5     2e59ed558001fd3b10d2146189167ff5 \
-                sha1    98c8c625e999f0c7463397a684a5c47a0ea106e3 \
-                rmd160  4f87024e91b7252af89ad925db5cda0e17128525
+checksums       sha1    15209b0933816c8e940a8375459be6e61e5f1662 \
+                rmd160  fe476a8027471bcc2cc7ccc93001947222aced83
 
 patchfiles      patch-build.xml.diff \
-                patch-src-main-java-org-junit-matchers-package-info.java.diff \
                 patch-hamcrest-1.2-upgrade.diff
 
 post-extract {
@@ -66,3 +63,7 @@
         file copy ${worksrcpath}/javadoc ${destroot}${docdir}/
     }
 }
+
+livecheck.type  regex
+livecheck.url   [lindex ${master_sites} 0]
+livecheck.regex ${name}(\[0-9.\]+)${extract.suffix}