Index: files/patch-build.xml.diff
===================================================================
--- files/patch-build.xml.diff	(revision 84195)
+++ files/patch-build.xml.diff	(working copy)
@@ -1,40 +1,43 @@
---- build.xml.orig	2009-06-12 21:55:56.000000000 +0200
-+++ build.xml	2009-06-12 22:15:35.000000000 +0200
-@@ -18,7 +18,7 @@
- 	<property name="javadocdir" location="${dist}/javadoc" />
- 	<property name="javadoczip" location="${dist}-javadoc.zip" />
- 	<property name="javadocpackages" value="org.junit, org.junit.runner, org.junit.runner.description, org.junit.runner.manipulation, org.junit.runner.notification, org.junit.runners, org.hamcrest.core, org.junit.matchers" />
--	<property name="hamcrestlib" location="lib/hamcrest-core-1.1.jar" />
-+	<property name="hamcrestlib" value="${prefix}/share/java/hamcrest-core.jar;${prefix}/share/java/hamcrest-library.jar" />
- 	<property name="hamcrestsrc" location="${dist}/temp.hamcrest.source" />
- 	
- 	<target name="init">
-@@ -72,8 +72,6 @@
- 	
- 	<target name="build" depends="versiontag">
- 		<junit_compilation srcdir="${src}" destdir="${bin}" classpath="${hamcrestlib}"/>
--		<unjar src="${hamcrestlib}" dest="${bin}" />
--		<junit_compilation srcdir="${testsrc}" destdir="${testbin}" classpath="${hamcrestlib};${bin}"/>
- 	</target>
+--- build.xml.orig	2011-08-22 14:10:26.000000000 -0500
++++ build.xml	2011-09-21 10:03:20.000000000 -0500
+@@ -27,7 +27,7 @@
  
- 	<target name="jars">
-@@ -106,17 +104,16 @@
- 		<unjar src="${hamcrestlib}" dest="${hamcrestsrc}" />
- 	</target>
- 	
--	<target name="javadoc" depends="unjar.hamcrest">
-+	<target name="javadoc">
- 		<javadoc packagenames="${javadocpackages}"
- 		         destdir="${javadocdir}"
- 		         author="false"
- 		         version="false"
- 		         use="false"
- 		         windowtitle="JUnit API"
--		         stylesheetfile="stylesheet.css"
-+			 classpath="${hamcrestlib}"
- 		>
- 			<sourcepath location="${src}" />
--			<sourcepath location="${hamcrestsrc}" />
- 		</javadoc>
- 	</target>
+   <property name="javadocdir" location="${dist}/javadoc" />
+   <property name="javadoczip" location="${dist}-javadoc.zip" />
+-  <property name="hamcrestlib" location="lib/hamcrest-core-1.1.jar" />
++  <property name="hamcrestlib" value="${prefix}/share/java/hamcrest-core.jar;${prefix}/share/java/hamcrest-library.jar" />
+   <property name="hamcrestsrc" location="${dist}/temp.hamcrest.source" />
  
+   <target name="init">
+@@ -76,8 +76,6 @@
+   
+   <target name="build" depends="versiontag">
+     <junit_compilation srcdir="${src}" destdir="${bin}" classpath="${hamcrestlib}"/>
+-    <unjar src="${hamcrestlib}" dest="${bin}" />
+-    <junit_compilation srcdir="${testsrc}" destdir="${testbin}" classpath="${hamcrestlib};${bin}"/>
+   </target>
+ 
+   <target name="jars" depends="build">
+@@ -137,20 +135,19 @@
+     </exec>
+   </target>
+   
+-  <target name="javadoc" depends="unjar.hamcrest">
++  <target name="javadoc">
+     <javadoc destdir="${javadocdir}"
+              author="false"
+              version="false"
+              use="false"
+              windowtitle="JUnit API"
+-             stylesheetfile="stylesheet.css"
++             classpath="${hamcrestlib}"
+              >
+       <excludepackage name="junit.*" />
+       <excludepackage name="org.junit.internal.*" />
+       <excludepackage name="org.junit.experimental.theories.internal.*" />
+       
+       <sourcepath location="${src}" />
+-      <sourcepath location="${hamcrestsrc}" />
+       <link href="http://java.sun.com/javase/6/docs/api/" />
+     </javadoc>
+   </target>
Index: files/patch-hamcrest-1.2-upgrade.diff
===================================================================
--- files/patch-hamcrest-1.2-upgrade.diff	(revision 84195)
+++ files/patch-hamcrest-1.2-upgrade.diff	(working copy)
@@ -158,8 +158,8 @@
 +		// TODO Auto-generated constructor stub
 +	}
  }
---- src/main/java/org/junit/matchers/JUnitMatchers.java	2009-06-12 05:01:47.000000000 +0200
-+++ src/main/java/org/junit/matchers/JUnitMatchers.java	2009-06-12 15:54:29.000000000 +0200
+--- src/main/java/org/junit/matchers/JUnitMatchers.java.orig	2011-08-22 13:52:10.000000000 -0500
++++ src/main/java/org/junit/matchers/JUnitMatchers.java	2011-09-21 10:03:58.000000000 -0500
 @@ -1,38 +1,46 @@
  package org.junit.matchers;
  
@@ -268,7 +268,7 @@
  	/**
 @@ -76,8 +92,10 @@
  	 * <pre>
- 	 *   assertThat(string, both(containsString("a")).and(containsString("b")));
+ 	 *   assertThat(string, either(containsString("a")).or(containsString("b")));
  	 * </pre>
 +	 * @deprecated Use org.hamcrest.CoreMatchers.either
  	 */
Index: files/patch-src-main-java-org-junit-matchers-package-info.java.diff
===================================================================
--- files/patch-src-main-java-org-junit-matchers-package-info.java.diff	(revision 84195)
+++ files/patch-src-main-java-org-junit-matchers-package-info.java.diff	(working copy)
@@ -1,10 +0,0 @@
---- src/main/java/org/junit/matchers/package-info.java.orig	2009-06-12 22:13:05.000000000 +0200
-+++ src/main/java/org/junit/matchers/package-info.java	2009-06-12 22:13:18.000000000 +0200
-@@ -4,6 +4,6 @@
-  * statement
-  *
-  * @since 4.0
-- * @see JUnitMatchers
-+ * @see org.junit.matchers.JUnitMatchers
-  */
- package org.junit.matchers;
Index: Portfile
===================================================================
--- Portfile	(revision 84195)
+++ Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortSystem      1.0
 
 name            junit
-version         4.6
-revision        2
+version         4.9
 categories      java devel
 platforms       darwin
 maintainers     nomaintainer
@@ -19,16 +18,14 @@
     testing frameworks.
 
 homepage        http://www.junit.org/
-master_sites    sourceforge
+master_sites    http://github.com/KentBeck/junit/downloads
 distname        ${name}${version}
 use_zip         yes
 
-checksums       md5     2e59ed558001fd3b10d2146189167ff5 \
-                sha1    98c8c625e999f0c7463397a684a5c47a0ea106e3 \
-                rmd160  4f87024e91b7252af89ad925db5cda0e17128525
+checksums       rmd160  e106ace5086955798d214074b534189f557b1ea1 \
+                sha256  160afefea9d15dbc7301cab276ab2450696e167075254f311b023d3dad2ea3b6
 
 patchfiles      patch-build.xml.diff \
-                patch-src-main-java-org-junit-matchers-package-info.java.diff \
                 patch-hamcrest-1.2-upgrade.diff
 
 post-extract {
@@ -66,3 +63,7 @@
         file copy ${worksrcpath}/javadoc ${destroot}${docdir}/
     }
 }
+
+livecheck.type  regex
+livecheck.url   [lindex ${master_sites} 0]
+livecheck.regex ${name}(\[0-9.\]+)${extract.suffix}